WIP FPC-III support
[linux/fpc-iii.git] / tools / testing / selftests / net / altnames.sh
blob4254ddc3f70b560a85b64edcd9512eb7fb4bf621
1 #!/bin/bash
2 # SPDX-License-Identifier: GPL-2.0
4 lib_dir=$(dirname $0)/forwarding
6 ALL_TESTS="altnames_test"
7 NUM_NETIFS=0
8 source $lib_dir/lib.sh
10 DUMMY_DEV=dummytest
11 SHORT_NAME=shortname
12 LONG_NAME=someveryveryveryveryveryverylongname
14 altnames_test()
16 RET=0
17 local output
18 local name
20 ip link property add $DUMMY_DEV altname $SHORT_NAME
21 check_err $? "Failed to add short alternative name"
23 output=$(ip -j -p link show $SHORT_NAME)
24 check_err $? "Failed to do link show with short alternative name"
26 name=$(echo $output | jq -e -r ".[0].altnames[0]")
27 check_err $? "Failed to get short alternative name from link show JSON"
29 [ "$name" == "$SHORT_NAME" ]
30 check_err $? "Got unexpected short alternative name from link show JSON"
32 ip -j -p link show $DUMMY_DEV &>/dev/null
33 check_err $? "Failed to do link show with original name"
35 ip link property add $DUMMY_DEV altname $LONG_NAME
36 check_err $? "Failed to add long alternative name"
38 output=$(ip -j -p link show $LONG_NAME)
39 check_err $? "Failed to do link show with long alternative name"
41 name=$(echo $output | jq -e -r ".[0].altnames[1]")
42 check_err $? "Failed to get long alternative name from link show JSON"
44 [ "$name" == "$LONG_NAME" ]
45 check_err $? "Got unexpected long alternative name from link show JSON"
47 ip link property del $DUMMY_DEV altname $SHORT_NAME
48 check_err $? "Failed to add short alternative name"
50 ip -j -p link show $SHORT_NAME &>/dev/null
51 check_fail $? "Unexpected success while trying to do link show with deleted short alternative name"
53 # long name is left there on purpose to be removed alongside the device
55 log_test "altnames test"
58 setup_prepare()
60 ip link add name $DUMMY_DEV type dummy
63 cleanup()
65 pre_cleanup
66 ip link del name $DUMMY_DEV
69 trap cleanup EXIT
71 setup_prepare
73 tests_run
75 exit $EXIT_STATUS